Subject: Re: [Sigtran] Re: Doubt of M3UA SCON message

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Jun 2002 12:57:52 -0500

Wung,,

Wung, Joseph wrote:                                         (Thu, 06 Jun 2002 13:01:51)
> Brian,
> 
> You did not answer my question/commnet.  See below.
> 
> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Thursday, June 06, 2002 12:22 PM
> To: Wung, Joseph
> Cc: fangjishang; [email-masked]
> Subject: Re: [Sigtran] Re: Doubt of M3UA SCON message
> 
> 
> Joseph,
> 
> Wung, Joseph wrote:                                         (Thu, 06 Jun
> 2002 09:28:32)
> >
> > 1) How would the ASP in this case detect congestion that was casued by
> >    messages sent from a distant PC?  Shouldn't the congestion in this
> >    direction be detected by the SGP instead?
> 
> The ASP knows the point codes of nodes from which it is receiving
> messages.
> 
> [Joe] Typically, the congestion is detected by the sending end, which
> is SGP in this case.  ASP should detect congestion in the direction in
> which it sends messages.

That is not the purpose of ASP-generated SCON.  The purpose of ASP-generated
SCON is to make it possible to trigger nodal or transfer TFC at the SG.

> 
> > 
> > 2) If the SGP is to send TFC in this case, can the STP it connects to be
> >    able to handle the TFC from a non-STP node?  In SS7, TFC always
> >    originates from the STP, so the STP does not expect TFC coming from a
> >    non-STP node.
> 
> The standards (particularly ANSI) permit SEPs to send TFC.
> 
> [Joe] Then, how does ITU SG handle it if it can't send TFC?

This type of congestion is normally handled with an MTP-User protocol.
For example, ISUP would normally start sending ACLs in REL messages
long before a nodal TFC were to be required.  Most TCAP applications
would start sending ACG long before nodal TFC were required.

It is really a quirk in the ANSI specs and there is no requirement
to support it.  Nodal TFC is optional an implementation dependent
even for SS7.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Thu, 6 Jun 2002 18:17:14 -0400

Joe,

Just my 2 cents about this.

  Tolga

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Wung, Joseph
> Sent: Thursday, June 06, 2002 1:02 PM
> To: [email-masked]; Wung, Joseph
> Subject: RE: [Sigtran] Re: Doubt of M3UA SCON message
>
>
> Brian,
>
[TOLGA] Sending SCON from ASP to SGP corresponds to 11.2.6 Signalling
point/signalling transfer point congestion in Q.704, so ASP will detect it
locally (afterall it is ASP, which is congested). How this congestion
detected is implementation dependent.
> [Joe] Then, how does ITU SG handle it if it can't send TFC?
[TOLGA] In fact in 11.2.6, also ITU allows this(at least my interpreation of
that paragraph is like this). But if this is not required for your case,
then I think SGP doesn't do anything with the received SCON.
> > Joe
> > Sent: Thursday, June 06, 2002 12:00 AM
> > To: fangjishang
> > Cc: [email-masked]
> > Subject: [Sigtran] Re: Doubt of M3UA SCON message
> >
> >
> > fangjishang,
> >
> > On Thu, 06 Jun 2002, fangjishang wrote:
> >
> > >
> > >    Dear Brian,
> > >
> > >      I have a doubt in implementing the SCON message at ASP side.
> > >
> > >      According to description in draft12, we have to fill
> Concerned DPC
> > >    field and Affected DPCs when we send SCON from ASP to SGP.
> > >
> > >    Pls refer the case as shown in the diagram below,
> > >
> > >                                                    AS1 :
> Signalling PC =
> > >    1
> > >                                                  _______
> > >                                  |--------------|       |
> > >        |-----|                   |              | ASP1  |
> > >        | SGP |-------------------|              |_______|
> > >        |-----|                   |              ________
> > >                                  |             |        |
> > >                                  |_____________|   ASP1 |
> > >                                                |________|
> > >                                                    AS2 :
> Signalling PC =
> > >    2
> > >
> > >    When the ASP1 is congested, we should send SCON from ASP1
> to SGP. My
> > >    doubt is:
> > >    <1>If ASP1 is operating in 2 diff AS (say AS1 and AS2), what should
> we
> > >    fill in "affected DPC list" and "Concerned DPC" parameter
> ? As per my
> > >    understanding, Affected DPC is 1 and 2(OPCs of AS1 & AS2).
> Concerned
> > >    DPC is either 1 or 2. Is it correct ? If this is so, what
> is the need
> > >    of "Concerned DPC" in SCON message ?
> >
> > No, Concerned PC is the distant PC in the SS7 network which sent a
> > message that caused the congestion.
> >
> > >
> > >    <2> If SGP receives the SCON from ASP, what is the action
> to be taken
> > >    related to Concerned DPC ? what is the significance of "Concerned
> DPC"
> > >    in SCON sent from ASP to SGP ?
> >
> > The SG might want to send TFC to the Concerned PC (DPC) with the
> > Affected PC as the OPC.  But that is implementation dependent.
> >
> > --brian
> >
> > >
> > >
> > >    Thanks and regards.
> > >    -Jesy
> >
> > --
> > Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
> > [email-masked]    ¦ world; the unreasonable one persists in  ¦
> > http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
> >                         ¦ Therefore  all  progress  depends on the ¦
> >                         ¦ unreasonable man. -- George Bernard Shaw ¦
> >

---

From: "Wung, Joseph" <[email-masked]>
Date: Thu, 6 Jun 2002 13:01:51 -0400

Brian,

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Thursday, June 06, 2002 12:22 PM
To: Wung, Joseph
Cc: fangjishang; [email-masked]
Subject: Re: [Sigtran] Re: Doubt of M3UA SCON message

Joseph,

--brian

> >      According to description in draft12, we have to fill Concerned DPC
> >                                                    AS1 : Signalling PC =
> >                                                    AS2 : Signalling PC =
> >    When the ASP1 is congested, we should send SCON from ASP1 to SGP. My
> >    doubt is:
we
> >    fill in "affected DPC list" and "Concerned DPC" parameter ? As per my
> >    understanding, Affected DPC is 1 and 2(OPCs of AS1 & AS2). Concerned
> >    DPC is either 1 or 2. Is it correct ? If this is so, what is the need
> >    <2> If SGP receives the SCON from ASP, what is the action to be taken
DPC"

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/